/**
@author d金魚
@brief ファイルの拡張子に関する事
@since 2004/12/02
*/
#ifndef DKUTIL_FILESYSTEM_EXT_HPP
#define DKUTIL_FILESYSTEM_EXT_HPP

//#include <dkutil_c/dkc.h>
#include <string>
#include <dkutil_c/dkc.h>
#include <dkutil/boost/parm_string.hpp>
#include <dkutil/parser/char_util.hpp>


namespace dkutil{
		
///@return ファイルの拡張子の文字列 エラーだとstd::stringがempty()
inline std::string GetFileExtension( parm_string str){
	const char *ext = dkcGetFileExtension(str.c_str());
	return std::string(ext);
}
inline bool GetFileExtension(std::string &x,parm_string str){
	x = GetFileExtension(str);
	if(x.empty()){
		return false;
	}
	return true;
}

inline bool isWildCard(parm_string str){
	return ( -1 != dkcSJIS_StrChrSearchInStr(str.c_str(),"?*") );
}

inline bool isWildCardExtension(parm_string str){
	return isWildCard(GetFileExtension(str));
}

}//end of dkutil namespace



#endif
